Top

PrimeFaces Elite 3.5.14 Released

PrimeFaces Elite 3.5.14 Released

PrimeFaces Elite == High Quality

PrimeFaces Team is pleased to announce an update on PrimeFaces 3.5.x Elite Series. 3.5.14 focuses purely on maintenance and highlight is the major performance upgrade in Ajax Updates for Internet Explorer. Time it takes for an ajax update in IE has been reduced drastically, as an example we had a complex test case where we managed to get 7x speed up from 7 seconds to less than a second.

There are also improvements on Fileupload, PrimeFaces Push via Atmosphere and more;

Download

Binaries, Sources, Javadocs and Tag docs are available in PrimeFaces Elite Portal for Elite Subscribers as an official release bundle. PrimeFaces PRO Users can access the files from PRO Portal.

Share
10 Comments
  • httpeter
    2 September 2013 at 11:34

    Great stuff! Keep up the good work!

  • Oleg
    2 September 2013 at 13:38

    Wow. Perfomance improvement for Ajax in IE will be a killer! I hope less people will complain about too slow IE with this release. Congrats.

    • sudheer
      2 September 2013 at 15:38

      Yes,performance improvements for ajax updates(IE) will be highlight in this release.But it will show the big difference with complex updates only.

    • godwinthaya
      2 September 2013 at 20:49

      Hello OLEG,
      As you agree this release 3.5.14 offers a great IE performance related Fix.
      We are Primeface elite customer and would like to take advantage of this release. But as per one of your blog only Primeface 3.5.9 is alone performed with compatibility test of primefaces extension 0.7.1
      Can you please stay hand in hand with Primefaces team to release primefaces extension release cycle for elite users like us?
      As per PFE release cycle – it seems you are already on PFE 1.0 https://github.com/primefaces-extensions/primefaces-extensions.github.com/wiki/Release-Notes
      Also from one of the blog notes that PFE 1.0 will be compatible / released along / closer to the Primefaces Release 4.0. Can we have one PFE 0.7.2 or so, compatible with 3.5.14?

      Regards,
      Godwin

      • sudheer
        3 September 2013 at 08:12

        It will be difficult to make primefaces extensions release respect to the primefaces Elite releases.As of now extensions releases targets to primefaces major releases.Even though it will be compatible with Elite releases except if jquery updates or application level changes happend from primefaces core releases.

        • Thomas Andraschko
          3 September 2013 at 10:08

          Extensions is from the community, for the community. We will only align it for community and major releases as it also costs many time for us.

          I think we can avoid such situations in the future, if we don’t update jquery or anything core related in elite releases.

        • godwinthaya
          3 September 2013 at 10:18

          that already an update is in primefaces extension facebook group that it was tested only for 3.5.9 and not more that.. Say that “It is impacting the continuous rollout and adoption of primefaces elite 3.5.14, without being certified with compatible primefaces extension 0.7.1++ .. Can you please consider the user community like us as it will take atleast two+ months to uptake 4.0 . So any PF 0.7.1+ certification with 3.5.14 to take advantage of my client base , who is IE8+ user community..

  • Howard
    2 September 2013 at 21:59

    +1 kudos! wow, this is some good stuff…as always! Keep those Elite=High-Performance releases, coming!

  • Fabio
    3 September 2013 at 02:44

    I must say, very good stuff!! Too bad that Primefaces Mobile it’s stuck to 0.9.5 since May…

Post a Comment